PO4A-TRANSLATE(1p)

NAZWA
po4a-translate - konwertuje plik PO z powrotem do formatu dokumentacji

SKŁADNIA
po4a-translate -f fmt -m master.doc -p XX.po -l XX.doc

(XX.doc jest plikiem wyjściowym, wszystkie pozostałe są plikami wejściowymi)

OPIS
Celem projektu po4a ("PO for anything") jest ułatwienie tłumaczeń (oraz, co ciekawsze, zarządzania tłumaczeniami) przy użyciu narzędzi gettext w tych obszarach, gdzie nie były używane, jak na przykład w obszarze dokumentacji.

Skrypt po4a-translate odpowiada za konwertowanie tłumaczeń (dokonanych w pliku PO) z powrotem do formatu dokumentacji. Przekazany plik PO powinien być tłumaczeniem pliku POT utworzonego przez po4a-gettextize(1).

OPCJE

-f, --format
    Format dokumentacji, którą chce się obsłużyć. Listę dostępnych formatów można wyświetlić, podając opcję --help-format.

-a, --addendum
    Dodaje załącznik do pliku wynikowego (na przykład, aby umieścić nazwisko tłumacza albo sekcję "O tłumaczeniu"). Pierwszą linią tego pliku powinien być nagłówek PO4A, określający, gdzie zawartość powinna być dodana (patrz sekcja JAK umieścić dodatkowy tekst w tłumaczeniach w po4a(7)).

-A, --addendum-charset
    Kodowanie znaków załącznika. Proszę zauważyć, że wszystkie załączniki powinny mieć to samo kodowanie znaków.

-m, --master
    Plik zawierający dokument do przetłumaczenia.

-M, --master-charset
    Kodowanie znaków pliku zawierającego dokument do przetłumaczenia.

-l, --localized
    Plik, do którego powinien być zapisany przetłumaczony dokument.

-L, --localized-charset
    Kodowanie znaków pliku zawierającego przetłumaczony dokument.

-p, --po
    Plik, z którego powinien być odczytany katalog wiadomości.

-o, --option
    Extra option(s) to pass to the format plugin. See the documentation of each plugin for more information about the valid options and their meanings. For example, you could pass '-o tablecells' to the AsciiDoc parser, while the text parser would accept '-o tabs=split'.

-k, --keep
    Minimalny procentowy próg tłumaczeń pozwalający zachować (tj. zapisać) plik wynikowy (domyślnie: 80). Czyli, domyślnie, aby pliki zostały zapisane, muszą być przetłumaczone co najmniej w 80%.

-w, --width
    Kolumna, wg której powinien być zawijany plik wynikowy.

-h, --help
    Pokazuje krótki komunikat pomocy.

--help-format
    Wyświetla listę formatów dokumentacji obsługiwanych przez po4a.

-V, --version
    Wyświetla wersję skryptu i kończy działanie.

-v, --verbose
    Zwiększa gadatliwość programu.

-d, --debug
    Wypisuje informacje przydatne do debugowania.

--porefs type[,wrap|nowrap]
    Specify the reference format. Argument type can be one of never to not produce any reference, file to only specify the file without the line number, counter to replace line number by an increasing counter, and full to include complete references (default: full).

    Argument can be followed by a comma and either wrap or nowrap keyword. References are written by default on a single line. The wrap option wraps references on several lines, to mimic gettext tools (xgettext and msgmerge). This option will become the default in a future release, because it is more sensible. The nowrap option is available so that users who want to keep the old behavior can do so.

--wrap-po no|newlines|number (default: 76)
    Specify how the po file should be wrapped. This gives the choice between either files that are nicely wrapped but could lead to git conflicts, or files that are easier to handle automatically, but harder to read for humans.

    Historically, the gettext suite has reformatted the po files at the 77th column for cosmetics. This option specifies the behavior of po4a. If set to a numerical value, po4a will wrap the po file after this column and after newlines in the content. If set to newlines, po4a will only split the msgid and msgstr after newlines in the content. If set to no, po4a will not wrap the po file at all. The wrapping of the reference comments is controlled by the --porefs option.

    Note that this option has no impact on how the msgid and msgstr are wrapped, ie on how newlines are added to the content of these strings.

Dodawanie zawartości (poza tłumaczeniami) do generowanych plików
Aby w wygenerowanym dokumencie umieścić dodatkową zawartość, niebędącą tłumaczeniem oryginału (np. nazwisko tłumacza lub rozdział "O tłumaczeniu"), należy użyć opcji --addendum.

Pierwsza linia załącznika musi zawierać nagłówek, wskazujący, gdzie umieścić resztę załącznika w dokumencie (może to być przed podaną częścią dokumentu lub za nią). Reszta pliku załącznika będzie dodana niezmieniona do pliku wynikowego.

Proszę zauważyć, że jeżeli po4a-translate zwróci błąd podczas dodawania któregokolwiek z podanych załączników, odrzuci całe tłumaczenie (ponieważ brakującym plikiem może być ten, który wskazuje na autora, co uniemożliwi użytkownikom skontaktowanie się z nim i zgłoszenie błędów w tłumaczeniu).

Składnia nagłówka jest bardzo sztywna. Więcej informacji o tym, jak używać załączników i jak działają, można znaleźć w stronie podręcznika po4a(7).

ZOBACZ TAKŻE
po4a-gettextize(1), po4a-normalize(1), po4a-updatepo(1), po4a(7)

AUTORZY
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TŁUMACZENIE
 Robert Luberda <robert@debian.org>

PRAWA AUTORSKIE I LICENCJA
Copyright 2002-2020 by SPI, inc.

Program jest wolnym oprogramowaniem; można go redystrybuować i/lub modyfikować zgodnie z warunkami licencji GPL (patrz plik COPYING).